Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletAPIFactoryImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletAPIFactoryImpl

All Implemented Interfaces:
  PortletAPIFactory

    public class PortletAPIFactoryImpl

extends java.lang.Object
implements PortletAPIFactory

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Constructor Summary
`PortletAPIFactoryImpl()`

Method Summary
`ActionRequestImpl` | `createActionRequest(ActionInvocation invocation)`
`ActionResponseImpl` | `createActionResponse(ActionInvocation invocation, ActionRequestImpl actionRequest)`
`RenderRequestImpl` | `createRenderRequest(RenderInvocation invocation)`
`RenderResponseImpl` | `createRenderResponse(RenderInvocation invocation, RenderRequestImpl renderRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletAPIFactoryImpl

    public PortletAPIFactoryImpl()

Method Detail

### createActionRequest

    public ActionRequestImpl createActionRequest(ActionInvocation invocation)

  Specified by:
    `createActionRequest` in interface `PortletAPIFactory`

### createActionResponse

    public ActionResponseImpl createActionResponse(ActionInvocation invocation,
                                                   ActionRequestImpl actionRequest)

  Specified by:
    `createActionResponse` in interface `PortletAPIFactory`

### createRenderRequest

    public RenderRequestImpl createRenderRequest(RenderInvocation invocation)

  Specified by:
    `createRenderRequest` in interface `PortletAPIFactory`

### createRenderResponse

    public RenderResponseImpl createRenderResponse(RenderInvocation invocation,
                                                   RenderRequestImpl renderRequest)

  Specified by:
    `createRenderResponse` in interface `PortletAPIFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD